DiscriminatorSourceImpl (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.metamodel.source.annotations.attribute
Class DiscriminatorSourceImpl

    java.lang.Object
      org.hibernate.metamodel.source.annotations.attribute.DiscriminatorSourceImpl

All Implemented Interfaces:
  DiscriminatorSource

    public class DiscriminatorSourceImpl

extends Object
implements DiscriminatorSource

Constructor Summary
`DiscriminatorSourceImpl(EntityClass entityClass)`

Method Summary
`RelationalValueSource` | `getDiscriminatorRelationalValueSource()` Obtain the column/formula information about the discriminator.
`String` | `getExplicitHibernateTypeName()` Obtain the discriminator type.
`boolean` | `isForced()` "Forces" Hibernate to specify the allowed discriminator values, even when retrieving all instances of the root class.
`boolean` | `isInserted()` Set this to `false`, if your discriminator column is also part of a mapped composite identifier.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DiscriminatorSourceImpl

    public DiscriminatorSourceImpl(EntityClass entityClass)

Method Detail

### isForced

    public boolean isForced()

  Description copied from interface: `DiscriminatorSource`
  "Forces" Hibernate to specify the allowed discriminator values, even when retrieving all instances of the root class.

  Specified by:
    `isForced` in interface `DiscriminatorSource`
  Returns:
    `true` in case the discriminator value should be forces, `false` otherwise. Default is `false`.

### isInserted

    public boolean isInserted()

  Description copied from interface: `DiscriminatorSource`
  Set this to `false`, if your discriminator column is also part of a mapped composite identifier. It tells Hibernate not to include the column in SQL INSERTs.

  Specified by:
    `isInserted` in interface `DiscriminatorSource`
  Returns:
    `true` in case the discriminator value should be included in inserts, `false` otherwise. Default is `true`.

### getDiscriminatorRelationalValueSource

    public RelationalValueSource getDiscriminatorRelationalValueSource()

  Description copied from interface: `DiscriminatorSource`
  Obtain the column/formula information about the discriminator.

  Specified by:
    `getDiscriminatorRelationalValueSource` in interface `DiscriminatorSource`
  Returns:
    The column/formula information

### getExplicitHibernateTypeName

    public String getExplicitHibernateTypeName()

  Description copied from interface: `DiscriminatorSource`
  Obtain the discriminator type. Unlike the type of attributes, implementors here should generally specify the type in case of no user selection rather than return null because we cannot infer it from any physical java member.

  Specified by:
    `getExplicitHibernateTypeName` in interface `DiscriminatorSource`
  Returns:
    The discriminator type

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.